Package waffle.windows.auth.impl

## Class WindowsDomainImpl

- java.lang.Object
- - waffle.windows.auth.impl.WindowsDomainImpl

All Implemented Interfaces:
  `IWindowsDomain`

    public class WindowsDomainImpl
    extends Object
    implements IWindowsDomain

Windows Domain.

Author:
  dblock[at]dblock[dot]org

### Constructor Summary

Constructors
`WindowsDomainImpl​(com.sun.jna.platform.win32.Netapi32Util.DomainTrust trust)` Instantiates a new windows domain impl.
`WindowsDomainImpl​(String newFqn)` Instantiates a new windows domain impl.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getFqn()` Fully qualified domain name.
`String` `getTrustDirectionString()` Trust direction.
`String` `getTrustTypeString()` Trust type.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WindowsDomainImpl

    public WindowsDomainImpl​(String newFqn)

Instantiates a new windows domain impl.

Parameters:
  `newFqn` - the new fqn

#### WindowsDomainImpl

    public WindowsDomainImpl​(com.sun.jna.platform.win32.Netapi32Util.DomainTrust trust)

Instantiates a new windows domain impl.

Parameters:
  `trust` - the trust

### Method Detail

#### getFqn

    public String getFqn()

Description copied from interface: `IWindowsDomain`
Fully qualified domain name.

Specified by:
  `getFqn` in interface `IWindowsDomain`
Returns:
  String.

#### getTrustDirectionString

    public String getTrustDirectionString()

Description copied from interface: `IWindowsDomain`
Trust direction.

Specified by:
  `getTrustDirectionString` in interface `IWindowsDomain`
Returns:
  String.

#### getTrustTypeString

    public String getTrustTypeString()

Description copied from interface: `IWindowsDomain`
Trust type.

Specified by:
  `getTrustTypeString` in interface `IWindowsDomain`
Returns:
  String.